process.chdir(__dirname);

const fs = require('fs');

fs.writeFileSync('pid.txt', `${process.pid}`);

const config = require('komodo-sdk/config');

if (config && ( config.name || config.origin )) {
    global.KOMODO_LOG_LABEL = `KOMODO-CENTER@${ config.name || config.origin }`;
    process.title = global.KOMODO_LOG_LABEL;
}

const transport = require('./transport');
const trxCenter = require('komodo-sdk/center/messaging/trx-center');

transport.init(trxCenter.callback);
trxCenter.setTransport(transport);
